5.1.1.16. Take Screenshot
Prev | 5.1.1. Actions that execute behavior | Next

#### 5.1.1.16. Take Screenshot

Take Screenshot

- This action takes a screen capture and saves the resulting image to disk.

- The action takes a screenshot of the whole screen on the primary monitor. To take a screenshot of only the active window, use the action Take Screenshot of Active Window.

- If you do not enter a file extension, the screenshot will be saved as a .png file. You can also save the file as an .jpeg or .bmp file.

- Parameters:

  - Create Directories

  - Delay

  - Destination

  - File access

  - Scaling Factor

Take Screenshot of Active Window

- This action takes a screen capture of the active window on the primary monitor and saves the resulting image to disk.

- To take a screenshot of thw whole screen, use the action Take Screenshot.

- If you do not enter a file extension, the screenshot will be saved as a .png file. You can also save the file as an .jpeg or .bmp file.

- You can specify a margin around the active window to extend the range of the screenshot. This may be necessary on some systems where the title bar of some dialogs is not included in the screenshot.

- Parameters:

  - Create Directories

  - Delay

  - Destination

  - File access

  - Scaling Factor